<?xml version="1.0" encoding="UTF-8"?>
<glossary version="5.0" xml:id="glossary" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>Glossary</title>
  </info>

  <glossentry>
    <glossterm><link
    xlink:href="http://ws.apache.org/axis/">Axis</link></glossterm>

    <glossdef>
      <para>Java platform for creating and deploying web services
      applications</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idcarol">
    <glossterm><link
    xlink:href="http://carol.objectweb.org/">CAROL</link></glossterm>

    <glossdef>
      <para>Library allowing the use of different RMI implementations.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idcmi">
    <glossterm>CMI</glossterm>

    <glossdef>
      <para>(Clustered Method Invocation) is the <xi:include
      href="variables.xml" xpointer="appserver" /> cluster protocol for high
      availability, load-balancing and fail-over</para>
    </glossdef>
  </glossentry>

  <glossentry>
    <glossterm><link
    xlink:href="http://www.easybeans.net/xwiki/bin/view/Main/">EasyBeans</link></glossterm>

    <glossdef>
      <para>An Open source and lightweight EJB3 container that can be embedded
      in <xi:include href="variables.xml" xpointer="appserver" /> and other
      application servers. It is an <xi:include href="variables.xml"
      xpointer="objectweb" /> project.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="ideis">
    <glossterm>EIS</glossterm>

    <glossdef>
      <para>Enterprise Information Systems</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idejb">
    <glossterm>EJB</glossterm>

    <glossdef>
      <para>Enterprise JavaBeans technology is the server-side component
      architecture for the Java Platform, Enterprise Edition (Java EE). EJB
      technology enables rapid development of distributed, transactional,
      secure and portable applications based on Java technology.</para>
    </glossdef>
  </glossentry>

  <glossentry>
    <glossterm>Hibernate</glossterm>

    <glossdef>
      <para>A Java-based object-relational mapping and persistence
      framework.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idiiop">
    <glossterm>IIOP</glossterm>

    <glossdef>
      <para>Inter-operable Internet Object Protocol. It is the CORBA RPC
      standard protocol on TCP/IP.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjaas">
    <glossterm>JAAS</glossterm>

    <glossdef>
      <para>The Java Authentication and Authorization Service is a set of APIs
      that enable services to authenticate and enforces access controls upon
      users.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjacc">
    <glossterm>JACC</glossterm>

    <glossdef>
      <para>Java Authorization Contract for Containers</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjcl">
    <glossterm><link
    xlink:href="http://jakarta.apache.org/commons/logging/">Jakarta Commons
    Logging</link></glossterm>

    <glossdef>
      <para>Wrapper around a variety of logging API implementations.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjavaee">
    <glossterm>Java EE</glossterm>

    <glossdef>
      <para>Java Platform, Enterprise Edition. A standard for developing
      portable, robust, scalable and secure server-side Java
      applications.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjaxp">
    <glossterm>JAXP</glossterm>

    <glossdef>
      <para>Java API for XML Processing. Provides the validating and parsing
      capabilities for XML documents.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjaxr">
    <glossterm>JAXR</glossterm>

    <glossdef>
      <para>Java API for XML Registries. Defines a standard API for Java
      platform applications to access and programmatically interact with
      different kinds of XML-based metadata registries.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjaxrpc">
    <glossterm>JAX-RPC</glossterm>

    <glossdef>
      <para>Java APIs for XML based RPC.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjaxws">
    <glossterm>JAX-WS</glossterm>

    <glossdef>
      <para>Java API for XML-based Web Services. A Java programming language
      API for creating web services.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idj2ca">
    <glossterm>J2CA</glossterm>

    <glossdef>
      <para>J2EE Connector Architecture is a standard for facilitating the
      integration of application servers with heterogeneous Enterprise
      Information Systems (EISs).</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idj2ee">
    <glossterm>J2EE</glossterm>

    <glossdef>
      <para>Java 2 Platform, Enterprise Edition. A standard for developing
      portable, robust, scalable and secure server-side Java applications up
      to version 1.5 of the Java Platform.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjdbc">
    <glossterm>JDBC</glossterm>

    <glossdef>
      <para>Java Database Connectivity. The JDBC API provides a call-level API
      for SQL-based database access.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjdk">
    <glossterm>JDK</glossterm>

    <glossdef>
      <para>The Java Development Kit is set of Java tools (compiler, jvm,
      library ...) for developing Java programs.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjdo">
    <glossterm>JDO</glossterm>

    <glossdef>
      <para>The Java Data Objects API is a standard interface-based Java model
      abstraction for persistence.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjetty">
    <glossterm><link
    xlink:href="http://www.mortbay.org/">Jetty</link></glossterm>

    <glossdef>
      <para>A pure java open-source, standards-based, web server
      implementation.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjgroups">
    <glossterm><link
    xlink:href="http://www.jgroups.org/javagroupsnew/docs/index.html">JGroups</link></glossterm>

    <glossdef>
      <para>A toolkit for reliable multicast communication.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjms">
    <glossterm>JMS</glossterm>

    <glossdef>
      <para>Java Message Service is a Java Message Oriented Middleware (MOM)
      API.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjmx">
    <glossterm>JMX</glossterm>

    <glossdef>
      <para>Java Management Extensions. A Java technology that supplies tools
      for managing and monitoring applications.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjndi">
    <glossterm>JNDI</glossterm>

    <glossdef>
      <para>Java Naming Directory Interface. A standard API/SPI for the
      <xi:include href="variables.xml" xpointer="j2ee" /> naming
      interface.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjoram">
    <glossterm><link
    xlink:href="http://joram.objectweb.org/">JORAM</link></glossterm>

    <glossdef>
      <para>The Java Open Reliable Asynchronous Messaging is an open source
      implementation of the JMS API built on top of the <link
      xlink:href="http://www.scalagent.com/">ScalAgent</link> distributed
      agent technology and hosted by <xi:include href="variables.xml"
      xpointer="element(objectweb)" />.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjorm">
    <glossterm><link
    xlink:href="http://jorm.objectweb.org/">JORM</link></glossterm>

    <glossdef>
      <para>Java Object Repository Mapping is an <xi:include
      href="variables.xml" xpointer="objectweb" /> project that provides an
      adaptable persistence service.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjotm">
    <glossterm><link
    xlink:href="http://jotm.objectweb.org/">JOTM</link></glossterm>

    <glossdef>
      <para>Java Open reliable Transaction Manager is an open source
      implementation of the JTA APIs hosted by <xi:include
      href="variables.xml" xpointer="objectweb" />.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjpa">
    <glossterm>JPA</glossterm>

    <glossdef>
      <para>Java Persistence API. A Simpler Programming Model for Entity
      Persistence.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjsf">
    <glossterm>JSF</glossterm>

    <glossdef>
      <para>JavaServer Faces is a technology that simplifies building user
      interfaces for JavaServer applications.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjsp">
    <glossterm>JSP</glossterm>

    <glossdef>
      <para>JavaServer Pages is a technology that provides a simplified, fast
      way to create dynamic web content.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjstl">
    <glossterm>JSTL</glossterm>

    <glossdef>
      <para>JavaServer Pages Standard Tag Library. An extension to the JSP
      specification that adds a tag library of JSP tags for common tasks, such
      as, XML data processing, conditional execution, loops and
      internationalization.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjta">
    <glossterm>JTA</glossterm>

    <glossdef>
      <para>Java Transaction API. Standard Java interfaces between the
      transaction manager and the parties involved in a distributed
      transaction system: the resource manager, the application server, and
      the transactional applications.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjre">
    <glossterm>JRE</glossterm>

    <glossdef>
      <para>Java Runtime Environment.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjrmp">
    <glossterm>JRMP</glossterm>

    <glossdef>
      <para>Java Remote Method Protocol is a Java RMI standard
      protocol.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjvm">
    <glossterm>JVM</glossterm>

    <glossdef>
      <para>The Java Virtual Machine.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idjwsdl">
    <glossterm>JWSDL</glossterm>

    <glossdef>
      <para>Java APIs for WSDL. Provides a standard set of Java APIs for
      representing, manipulating, reading and writing WSDL (Web Services
      Description Language) documents, including an extension mechanism for
      WSDL extensibility.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idlog4j">
    <glossterm><link
    xlink:href="http://logging.apache.org/log4j/docs/index.html">Log4j</link></glossterm>

    <glossdef>
      <para>A Java-based logging utility from the Apache Software Foundation.
      It is used primarily as a debugging tool.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idmonolog">
    <glossterm><link
    xlink:href="http://monolog.objectweb.org/index.html">Monolog</link></glossterm>

    <glossdef>
      <para>The <xi:include href="variables.xml" xpointer="objectweb" />
      solution for logging.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idmx4j">
    <glossterm><link xlink:href="http://mx4j.sourceforge.net/">MX4J
    </link></glossterm>

    <glossdef>
      <para>An Open Source implementation of the Java Management Extensions
      (JMX) and of the JMX Remote API (JSR 160) specifications.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idp6spy">
    <glossterm><link
    xlink:href="http://www.p6spy.com/">P6Spy</link></glossterm>

    <glossdef>
      <para>An open source Java tool that intercepts and logs all database
      statements that use JDBC.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idrmi">
    <glossterm>RMI</glossterm>

    <glossdef>
      <para>Remote Method Invocation. This is the java standard specification
      for RPC technology.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idrpc">
    <glossterm>RPC</glossterm>

    <glossdef>
      <para>Remote Procedure Call is a technology that allows a subroutine or
      procedure to execute in another address space.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idsaaj">
    <glossterm>SAAJ</glossterm>

    <glossdef>
      <para>SOAP with Attachments API for Java. Provides a standard way to
      send XML documents over the Internet from the Java platform.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idspeedo">
    <glossterm><link
    xlink:href="http://speedo.objectweb.org/">Speedo</link></glossterm>

    <glossdef>
      <para>An open source implementation of the JDO 1.0.1 specification
      hosted by <xi:include href="variables.xml"
      xpointer="objectweb" />.</para>
    </glossdef>
  </glossentry>

  <glossentry>
    <glossterm><link
    xlink:href="http://struts.apache.org/">Struts</link></glossterm>

    <glossdef>
      <para>Apache Struts is an open-source framework for developing Java EE
      web applications. It uses and extends the Java Servlet API to encourage
      developers to adopt the model-view-controller architectural
      pattern.</para>
    </glossdef>
  </glossentry>

  <glossentry xml:id="idtomcat">
    <glossterm><link
    xlink:href="http://tomcat.apache.org/">Tomcat</link></glossterm>

    <glossdef>
      <para>Apache Tomcat is the servlet container that is used in the
      official Reference Implementation for the Java Servlet and JavaServer
      Pages.</para>
    </glossdef>
  </glossentry>

  <glossentry>
    <glossterm><link
    xlink:href="http://velocity.apache.org/engine/index.html">Velocity</link></glossterm>

    <glossdef>
      <para>The Apache Velocity Engine is a free open-source templating
      engine.</para>
    </glossdef>
  </glossentry>
</glossary>